<?php
/*
Plugin Name: Realtime Calendar
Plugin URI: http://www.koikikukan.com/archives/2007/01/09-015000.php
Description: This plugin displays Saturday and Sunday and holiday in the calendar, and displays border at the date today.
Author: Yujiro Araki
Version: 1.10
Author URI: http://www.koikikukan.com/
*/ 

function execute_realtime_calendar() {
    $current_year = date('Y');
    $current_month = date('n');
?>
<script type="text/javascript">
setWeekColor();
setCurrentDate();
setWeekendAndHoliday('$current_year', '$current_month');
</script>
<?php
}

add_action('wp_footer', 'execute_realtime_calendar');

function calendar_js() {
?>
<link rel="stylesheet" href="<?php bloginfo('wpurl'); ?>/wp-content/plugins/realtime-calendar/calendar.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php bloginfo('wpurl'); ?>/wp-content/plugins/realtime-calendar/dayChecker.js"></script>
<script type="text/javascript" src="<?php bloginfo('wpurl'); ?>/wp-content/plugins/realtime-calendar/util.js"></script>
<?php
}

add_action('wp_head', 'calendar_js');

?>
